<b-navbar class="border-secondary border-bottom" toggleable="lg" :type="navbarVariant">

  <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

  <b-collapse id="nav-collapse" is-nav>
    <b-navbar-nav>
      <b-nav-item
        <a target="_index" href="/" class="nav-link active px-3"> Home </a>
      </b-nav-item>
      <b-nav-item
        @click="set_path('status')"
        :active="path=='status' || path==''"
        link-classes="px-3">
        Status
      </b-nav-item>
      <b-nav-item
        @click="set_path('deposit')"
        :active="path=='deposit'"
        link-classes="px-3">
        Deposit
      </b-nav-item>
      <b-nav-item
        @click="set_path('swaps')"
        :active="path=='swaps' || path=='reveal' || path=='refund' || path=='swap'"
        link-classes="px-3">
        Swaps
      </b-nav-item>
    </b-navbar-nav>

    <v-metal
      :isMetalReady="isMetalReady"
      :update_metal="update_metal"
      :change_theme="change_theme"
      :metalInfo="metalInfo"
      :get_outline="get_outline"
      :get_class="get_class"
      :navbarVariant="navbarVariant">
    </v-metal>
  </b-collapse>

</b-navbar>
